VerificationLevel: just 3?  Low, high, guaranteed?
Status: New Start date: 23 Jan 2024

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Various Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.30 hour

Description

Should there be just 3 VerificationLevel values?

low  fast but greater chance of wrong answer

high slower but lower chance of wrong answer

guaranteed  slowest but no chance of wrong answer

Discuss, decide.

History

#1 - 23 Jan 2024 09:27 - John Abbott

I discussed withe the OSCAR people about putting something similar into Oscar.  There it seemed simpler/clearer to offer just 3 or even 2 levels. 

What do we think?

#2 - 01 Feb 2024 10:03 - John Abbott

Currently we allow any non-negative machine integer as the "verification level", but there is no clear semantics.

#3 - 16 Feb 2024 10:00 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
